<template>
  <!--动画-->
  <transition name="el-fade-in">
    <el-dialog
      :close-on-click-modal="false"
      :title="title"
      :visible.sync="visible"
      :width="width"
      top="72px"
      :append-to-body="true"
      :destroy-on-close="true"
      :lock-scroll="true"
      @close="close"
    >
      <slot />
      <span slot="footer">
        <slot name="footer" />
      </span>
    </el-dialog>
  </transition>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      default: ''
    },
    width: {
      type: String,
      default: '50%'
    }
  },
  data() {
    return {
      visible: true
    }
  },
  mounted() {
    try {
      window.onresize = function() {
        document.querySelectorAll('.cus-dialog').forEach(v => {
          v.style.width = document.querySelector('.app-main').clientWidth + 'px'
          v.style.height = '100%'
        })
      }
      window.onresize()
    } catch (e) {
      console.error(e)
    }
  },
  methods: {
    close() {
      this.visible = false
      this.$emit('close')
    }
  }
}
</script>

<style scoped>
/deep/ .el-dialog__body {
  max-height: calc(100vh - 200px);
  overflow-y: auto;
  padding-top: 20px;
}
</style>
